Bug 178276 - RFE: multiple active connections
RFE: multiple active connections
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
: FutureFeature
: 199536 239190 (view as bug list)
Depends On:
Blocks: NMF9Blockers
  Show dependency treegraph
Reported: 2006-01-18 19:03 EST by Satish Balay
Modified: 2008-04-10 16:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-10 16:00:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Satish Balay 2006-01-18 19:03:07 EST
Description of problem:

NetworkManager should not automatically disconnect wireless - when wired is
connected. This is unacceptable because it will cause existing [ssh] connections
to stop working.

Perhaps it should prompt the user to make sure this action is acceptable.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. connect laptop to wireless
2. Start working [ssh to a different machine]
3. now plug in the laptop to port replicator [which has power-supply & network
4. NM disconnects the wireless and connects the wired automatically.

Actual results:

Now all my ssh connections are frozen [causing work interruption]

Expected results:

Wireless should continue to be used when I dock the laptop.

Additional info:

If the current network gets broken - then its acceptable that NM automatically
looks for a working wired/wireless connection.

But if the current connection is working - then breaking it is correct behavior.

Perhaps it shoud prompt the user to see if this is acceptable [or there should
be some menu option to force such a change when user desires it]
Comment 1 Satish Balay 2006-01-18 19:04:48 EST

"then breaking it is correct behavior." -> "then breaking it is incorrect behavior."
Comment 2 Kaj J. Niemi 2006-01-19 01:50:11 EST
The NetworkManager equivalent on OS X behaves like the RFE here requests, I
think, so it is kind of expected. Also it is a nice feature when you're using
Connexxion by Boeing and want to transfer files over the wire to your coworker
instead of using the wireless network on the airplane ;)
Comment 3 Satish Balay 2006-01-20 11:13:04 EST
I consider this a bug [not a RFE] - as the normal behavior breaks valid connections.

If the prompt to the user is annoying - then there could be a config option user
could toggle.

'Prefer Wired Connection'
 - if enabled - NM will disconnect wireless when wired is plugged in
 - if disabled - NM will not disconnect wireless - even though wired get active.
Comment 4 Rahul Sundaram 2006-02-20 06:19:38 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 5 Dan Williams 2006-02-27 02:35:16 EST
Actually more of an RFE.  Having both connections up at the same time was not
one of the original design considerations or targets of NM, nor is it possible
at this time.  As we grow NM out to support more use cases, this will get fixed
Comment 6 Satish Balay 2006-02-27 10:15:54 EST
Actually I had no mention of having both connections up at the same time.

 The reason its a bug [in protocol or behavior] is - it 'breaks' working
connections - when it shouldn't.
Comment 7 Matěj Cepl 2007-01-15 06:15:44 EST
If this issue turns out to still be reproduceable in the latest updates for this
Fedora Core release, please file a bug report in the Gnome bugzilla located at
http://bugzilla.gnome.org in the "NetworkManager" product.

Once you've filed your bug report upstream, if you paste the new bug URL here,
Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Setting status to "NEEDINFO_REPORTER", and awaiting upstream bug report URL for

Thanks in advance.
Comment 8 Matthew Miller 2007-04-06 14:21:02 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 9 Satish Balay 2007-06-25 15:35:02 EDT
I've retried NM with F7.

Looks like NM is not automatically changing networks on disconnect/reconnect.
so, my wireless remains active when I plugin the network cable [which is the
desired behavior..

However in my various attempts at testing this - once NM disconnected the
wireless infavour of the wire network.. Mabe this is a fluke..

For now I'll assume this bug is fixed [untill this happens again]. Currently I
have other issues with NM - these are preventing me from using it.. Will file
another bz entry for it
Comment 10 Alex Hudson (Fedora Address) 2007-11-23 13:57:40 EST
This happens for me with Fedora 8

I plug in a wired network cable, and it automatically disconnects the wireless.
It then turns out it can't get an IP address (because I've just plugged this in
to synchronise a laptop) so it leaves my network broken because it zeroconf's it.

At the least, it would be nice if NetworkManager waited to get a valid wired
connection before disconnecting the wireless.
Comment 11 Dan Williams 2007-12-03 10:31:35 EST
Multiple active device support is not yet implemented in F8's version of
NetworkManager.  That will come along later.  This is still an RFE really...
Comment 12 Dan Williams 2008-02-12 09:09:14 EST
Turning this into the multiple active connections tracker bug.  This feature
will allow devices to be activated and deactivated independently of each other
when their underlying connectivity goes up or down.
Comment 13 Dan Williams 2008-02-12 09:09:25 EST
*** Bug 199536 has been marked as a duplicate of this bug. ***
Comment 14 Dan Williams 2008-02-12 09:15:22 EST
*** Bug 239190 has been marked as a duplicate of this bug. ***
Comment 15 Dan Williams 2008-04-10 16:00:45 EDT
fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.